Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -i -X GET "https://api.box.com/2.0/shield_information_barrier_segments/3423" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"id": "11446498",
"type": "shield_information_barrier_segment",
"shield_information_barrier": {
"id": "11446498",
"type": "shield_information_barrier"
},
"name": "Investment Banking",
"description": "'Corporate division that engages in advisory_based financial\n transactions on behalf of individuals, corporations, and governments.'",
"created_at": "2020-06-26T18:44:45.869Z",
"created_by": {
"id": "11446498",
"type": "user"
},
"updated_at": "2020-07-26T18:44:45.869Z",
"updated_by": {
"id": "11446498",
"type": "user"
}
}Retrieves shield information barrier segment based on provided ID..
curl -i -X GET "https://api.box.com/2.0/shield_information_barrier_segments/3423" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"id": "11446498",
"type": "shield_information_barrier_segment",
"shield_information_barrier": {
"id": "11446498",
"type": "shield_information_barrier"
},
"name": "Investment Banking",
"description": "'Corporate division that engages in advisory_based financial\n transactions on behalf of individuals, corporations, and governments.'",
"created_at": "2020-06-26T18:44:45.869Z",
"created_by": {
"id": "11446498",
"type": "user"
},
"updated_at": "2020-07-26T18:44:45.869Z",
"updated_by": {
"id": "11446498",
"type": "user"
}
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The ID of the shield information barrier segment.
Returns the shield information barrier segment object.
A shield information barrier segment object.
The unique identifier for the shield information barrier segment.
"11446498"
The type of the shield information barrier segment.
shield_information_barrier_segment "shield_information_barrier_segment"
A base representation of a shield information barrier object.
Show child attributes
Name of the shield information barrier segment.
"Investment Banking"
Description of the shield information barrier segment.
"'Corporate division that engages in advisory_based financial\n transactions on behalf of individuals, corporations, and governments.'"
ISO date time string when this shield information barrier object was created.
"2020-06-26T18:44:45.869Z"
The user who created this shield information barrier segment.
Show child attributes
ISO date time string when this shield information barrier segment was updated.
"2020-07-26T18:44:45.869Z"
The user that updated this shield information barrier segment.
Show child attributes
Was this page helpful?